#!/usr/bin/env python
# -*- coding: utf-8 -*-
from gi.repository import Clutter
from gi.repository import Champlain
from gi.repository import Pango

class Marker(Champlain.Marker):
        def __init__(self):
            Champlain.Marker.__init__(self)

class Layer(Champlain.MarkerLayer):
	def __init__(self):
		Champlain.MarkerLayer.__init__(self)

def marker_button_release_cb(actor, event, view):
    if event.button != 1 and event.click_count > 1:
        return False

    print "Montreal was clicked\n" 
    return True


def create_marker_layer(view):
    orange = Clutter.Color.new(0xf3, 0x94, 0x07, 0xbb)
    black = Clutter.Color.new(0x00, 0x00, 0x00, 0xff)
    layer = Layer()

    marker = Marker()#.new_with_text(
        #"Montréal\n<span size=\"xx-small\">Québec</span>", "Serif 14", black, 
        #orange)
    #marker.set_use_markup(True)
    #marker.set_alignment(Pango.Alignment.RIGHT)
    #marker.set_color(orange)

    marker.set_position(45.528178, -73.563788)
    layer.add_marker(marker)
    marker.set_reactive(True)
    marker.connect("button-release-event", marker_button_release_cb, view)

    marker = Marker()#.new_from_file(
        #"/usr/share/icons/gnome/24x24/emblems/emblem-generic.png")
    #marker.set_text("New York")
    #marker.set_position(40.77, -73.98)
    #layer.add_marker(marker)

    #marker = Champlain.Marker.new_from_file(
    #    "/usr/share/icons/gnome/24x24/emblems/emblem-important.png")
    #marker.set_position(47.130885, -70.764141)
    #layer.add_marker(marker)

    #marker = Champlain.Marker.new_from_file(
    #    "/usr/share/icons/gnome/24x24/emblems/emblem-favorite.png")
    #marker.set_draw_background(False)
    #marker.set_position(45.41484, -71.918907)
    #layer.add_marker(marker)

    layer.show()
    return layer
